id: teamspeak3-detect

info:
  name: TeamSpeak 3 ServerQuery Detection
  author: pussycat0x
  severity: info
  description: |
    ServerQuery is a commandline based administration tool/feature of TeamSpeak 3 server.
  metadata:
    verified: true
    max-request: 1
    shodan-query: product:"TeamSpeak 3 ServerQuery"
  tags: network,service,teamspeak3,detect,detection,tcp
tcp:
  - inputs:
      - data: "\r\n"

    host:
      - "{{Hostname}}"
    port: 2002

    matchers:
      - type: word
        words:
          - "TS3"
          - "TeamSpeak 3 ServerQuery interface"
        condition: and
# digest: 4b0a00483046022100d4a5c845c429247a302108d0bf9d3372e8e21fc0ece0b75b7044d760d517a5f5022100ddd0768041ab95a7d2ae3b06995983ec2bd12ac477e1002e209ff9f225484974:922c64590222798bb761d5b6d8e72950